package com.njcn.process.service;

import java.io.IOException;
import java.util.List;

/**
 * pqs
 *
 * @author cdf
 * @date 2023/6/28
 */
public interface SupvPushGwService {

    /**
     *
     * @author cdf
     * @date 2023/6/28
     */
    String pushPlan(List<String> planIds);

    /**
     *
     * @author cdf
     * @date 2023/6/28
     */
    String pushQuestion(List<String> problemIds,Integer type);


    /**
     *
     * @author cdf
     * @date 2023/6/28
     */
    String pushFile(List<String> busIds) throws IOException;


    /**
     *
     * @author cdf
     * @date 2023/6/28
     */
    String pushMonthReportStatistic(List<String> monthReportId);


    /**
     *
     * @author cdf
     * @date 2023/6/28
     */
    String deletePlan(List<String> planIds);
}
